const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_a = arg1[48];
    v2_17 = fabsl(z.z * *((v3_a - 32)) + *((v3_a - 16))) # bp+17;
    st7_global_2d_to_2d_local = sqrtl(v2_17) # st7;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
        # 0x28;
        v1_2a = -st7_global_2d_to_2d_local;
    else:;
        v1_2a = st7_global_2d_to_2d_local;
    # 0x2a;
    *z.z = v1_2a / *((v3_a - 40)) + *((v3_a - 24));
    return z.x_global_2d_to_2d_local;


	}